Subject: Emacs crashes with Segfault while doing basic code editing
From: Zan Owsley <[email-masked]>
To: [email-masked]
Date: Mon, 2 Dec 2024 11:35:38 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm getting these crashes periodically while simply doing some code 
editing. Corfu is active and Eglot is communicating with a language 
server, although this has occurred with a few languages and different 
language servers already. I have not been able to reproduce this with my 
init.el inactive, but since very little of my config seems to be in play 
here, I'm hoping this information is still helpful. My config has been 
super stable for quite a while too, although this problem has shown up 
only since moving to Arch linux from Ubuntu. The backtraces always look 
like this:

GDB 'bt full':

(gdb) bt full
#0  0x00005555557d1be5 in Fget ()
No symbol table info available.
#1  0x000055555571ede2 in parse_modifiers ()
No symbol table info available.
#2  0x0000555555736b49 in ?? ()
No symbol table info available.
#3  0x0000555555724b4b in read_char ()
No symbol table info available.
#4  0x00005555557f5613 in ?? ()
No symbol table info available.
#5  0x0000555555819136 in exec_byte_code ()
No symbol table info available.
#6  0x00005555557cbfbd in Ffuncall ()
No symbol table info available.
#7  0x00005555557cc741 in Fapply ()
No symbol table info available.
#8  0x0000555555819136 in exec_byte_code ()
No symbol table info available.
#9  0x00005555557cbfbd in Ffuncall ()
No symbol table info available.
#10 0x000055555575d913 in Fall_completions ()
No symbol table info available.
#11 0x0000555555819136 in exec_byte_code ()
No symbol table info available.
#12 0x00005555557cbfbd in Ffuncall ()
No symbol table info available.
#13 0x00005555557cc741 in Fapply ()
No symbol table info available.
#14 0x0000555555819136 in exec_byte_code ()
No symbol table info available.
#15 0x00005555557cbfbd in Ffuncall ()
No symbol table info available.
#16 0x00005555557cc741 in Fapply ()
No symbol table info available.
#17 0x0000555555819136 in exec_byte_code ()
No symbol table info available.
#18 0x00005555557cbfbd in Ffuncall ()
No symbol table info available.
#19 0x00005555557cca2b in Fapply ()
No symbol table info available.
#20 0x0000555555819136 in exec_byte_code ()
No symbol table info available.
#21 0x00005555557cbfbd in Ffuncall ()
No symbol table info available.
#22 0x000055555571c5a1 in timer_check ()
No symbol table info available.
#23 0x000055555571cb86 in ?? ()
No symbol table info available.
#24 0x0000555555727bd7 in ?? ()
No symbol table info available.
#25 0x000055555582680b in wait_reading_process_output ()
No symbol table info available.
#26 0x00005555555cf1cc in sit_for ()
No symbol table info available.
#27 0x0000555555725917 in read_char ()
No symbol table info available.
#28 0x000055555572d3c2 in ?? ()
No symbol table info available.
#29 0x0000555555718259 in ?? ()
No symbol table info available.
#30 0x00005555557b96d6 in internal_condition_case ()
No symbol table info available.
#31 0x00005555557176ef in command_loop_2 ()
No symbol table info available.
#32 0x00005555557b9619 in internal_catch ()
No symbol table info available.
#33 0x0000555555717ba8 in ?? ()
No symbol table info available.
#34 0x0000555555717cbc in recursive_edit_1 ()
No symbol table info available.
#35 0x0000555555717eb2 in Frecursive_edit ()
No symbol table info available.
#36 0x00005555555c2e3b in main ()
No symbol table info available.

GDB 'xbacktrace' command is unavailable. (I am using gdb for the first 
time to provide this info, so I'm not knowledgeable at all.)

I hope this information is helpful is some way. If there's anything else 
I can provide, please let me know!

Best Regards,

Zan Owsley